Skip to main content
PATCH
/
api
/
syncs
/
{syncId}
Update a Sync
curl --request PATCH \
  --url https://sync.useparagon.com/api/syncs/{syncId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "credentialId": "<string>",
  "incrementalAccumulatorFrequency": "1m"
}
'
{
  "id": "<string>",
  "data": {
    "credentialId": "<string>",
    "incrementalAccumulatorFrequency": "<string>"
  },
  "message": "Update request accepted and is being processed"
}
Use this endpoint to update an existing Sync. You can change:
  • The credential bound to the Sync (credentialId) — useful when using Multi-Account Authorization and you need to explicitly bind a Sync to a different credential.
  • How often Paragon checks for incremental changes (incrementalAccumulatorFrequency).
Provide any combination of these fields in the request body. The request must contain at least one field to update.
Updating only incrementalAccumulatorFrequency will not trigger a full re-sync. The new frequency takes effect on the next scheduled run.Updating credentialId to a different credential will start a periodic full sync to reconcile existing synced records with the records accessible in the new account.

Authorizations

Authorization
string
header
required

Paragon User Token. Add to the Authorization header of your requests.

Path Parameters

syncId
string
required

ID of the sync to update

Body

application/json

Provide at least one field to update. All fields are optional, but the request body must contain at least one updatable property.

credentialId
string

The ID of the credential to associate with this sync. Must be a valid UUID.

Updating this field will trigger a full re-sync.

incrementalAccumulatorFrequency
enum<string>

Update how often Paragon checks for incremental changes for this sync.

Updating only this field will not trigger a full re-sync. The new frequency takes effect on the next scheduled run.

Available options:
1m,
5m,
10m,
30m,
1h,
3h,
6h,
24h
Example:

"1m"

Response

Sync successfully updated

id
string
required

ID of the updated sync

data
object
required
message
string
required
Example:

"Update request accepted and is being processed"